
SVFILES+= config_pkg.sv 
SVFILES+= branch_pkg.sv
SVFILES+= instruction_pkg.sv
SVFILES+= tlb_pkg.sv
SVFILES+= roBus.sv
SVFILES+= rwBus.sv
SVFILES+= branchPredictor.sv
SVFILES+= regfile_t.sv
SVFILES+= translationLookasideBuffer.sv
SVFILES+= icache_t.sv
SVFILES+= dcache_t.sv
SVFILES+= fetchStage.sv
SVFILES+= decodeStage.sv
SVFILES+= aluStage.sv
SVFILES+= memoryStage.sv
SVFILES+= pipeline.sv
SVFILES+= tb_pipeline.sv
SVFILES+= memorySwitch.sv
SVFILES+= memoryBuffer.sv
SVFILES+= mainMemory.sv
SVFILES+= estufa.sv
SVFILES+= tb_estufa.sv
SVFILES+= controlStateRegisterFile.sv
SVFILES+= tb_csr.sv

VLOG_FILES=$(patsubst %.sv, %_vlog, $(SVFILES))

all: work

work: $(VLOG_FILES)

%_vlog: ../%.sv
	vlog -work work -suppress 7061 -sv $^

modelsim: work
	vsim work.tb_estufa -do tb_estufa_env.do

modelsim_csr: work
	vsim work.tb_csr -do tb_estufa_env.do

clean:
	rm -rf work wlft*

.PHONY: work

